org.apache.http.cookie

## Interface SetCookie2

- All Superinterfaces:
    Cookie, SetCookie
  All Known Implementing Classes:
    BasicClientCookie2

      public interface SetCookie2
      extends SetCookie

  This interface represents a `Set-Cookie2` response header sent by the origin server to the HTTP agent in order to maintain a conversational state.

  Please do not use methods marked as @Obsolete. They have been rendered obsolete by RFC 6265

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCommentURL(String commentURL)` If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.
    `void` | `setDiscard(boolean discard)` Set the Discard attribute.
    `void` | `setPorts(int[] ports)` Sets the Port attribute.

    - ### Methods inherited from interface org.apache.http.cookie.SetCookie

      `setComment, setDomain, setExpiryDate, setPath, setSecure, setValue, setVersion`

    - ### Methods inherited from interface org.apache.http.cookie.Cookie

      `getComment, getCommentURL, getDomain, getExpiryDate, getName, getPath, getPorts, getValue, getVersion, isExpired, isPersistent, isSecure`

- - ### Method Detail

    - #### setCommentURL

          @Obsolete
          void setCommentURL(String commentURL)

      If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.

    - #### setPorts

          @Obsolete
          void setPorts(int[] ports)

      Sets the Port attribute. It restricts the ports to which a cookie may be returned in a Cookie request header.

    - #### setDiscard

          @Obsolete
          void setDiscard(boolean discard)

      Set the Discard attribute. Note: `Discard` attribute overrides `Max-age`.
      See Also:
        `Cookie.isPersistent()`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.